For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
      • GETGet version information
      • GETGets the OpenAPI spec in json
      • GETGets the public IP list
      • GETIdentify the caller
      • GETRoot resource
Sign inTry it free
LogoLogo
REST API overviewOther

Identify the caller

GET
/api/v2/caller-identity
GET
/api/v2/caller-identity
$curl https://app.launchdarkly.com/api/v2/caller-identity \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "accountId": "a1b2c3d4e5f6",
3 "environmentId": "env-prod-1234",
4 "projectId": "proj-5678",
5 "environmentName": "Production",
6 "projectName": "Website Redesign",
7 "authKind": "api_token",
8 "tokenKind": "personal_access_token",
9 "clientId": "client-9f8e7d6c5b4a",
10 "tokenName": "Deploy Script Token",
11 "tokenId": "tok-1122334455",
12 "memberId": "user-99887766",
13 "serviceToken": false,
14 "scopes": [
15 "read",
16 "write",
17 "admin"
18 ]
19}

Get basic information about the identity used (session cookie, API token, SDK keys, etc.) to call the API

Was this page helpful?
Previous

Root resource

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

Caller Identity
accountIdstring
environmentIdstring
projectIdstring
environmentNamestring
projectNamestring
authKindstring
tokenKindstring
clientIdstring
tokenNamestring
tokenIdstring
memberIdstring
serviceTokenboolean
scopeslist of strings

Errors

401
Unauthorized Error
429
Too Many Requests Error